repos:
  - repo: https://github.com/pre-commit/pre-commit-hooks
    rev: v4.3.0
    hooks:
      - id: trailing-whitespace
      - id: end-of-file-fixer
      - id: check-yaml

  - repo: https://github.com/PyCQA/flake8
    rev: '5.0.4'
    hooks:
      - id: flake8
        args: ["--ignore=E203,W503,E501,E722"]

  - repo: https://github.com/asottile/add-trailing-comma
    rev: v2.2.3
    hooks:
      - id: add-trailing-comma

  - repo: https://github.com/psf/black
    rev: '22.8.0'
    hooks:
      - id: black
